QGIS Application - Bug report #20505

Moving a node with vertex tool (current layer) moves identical node in other layers if topological
editing is enabled

2018-11-1501:15 PM - Bernhard Strobl

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.4.3 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 28325
Description

Steps to reproduce:
1. Two layers in editing mode, two identical polygons
2. both layers visible
3. Layer 1 is active, layer 2 is not active
4. Vertex tool with current layer mode
5. Moving a node does only move it in layer 1 if topological editing is disabled => expected behaviour
6. Moving a node does move it in both layers if topolgical editing is enabled

IMHO vertices of all layers should only be moved if the vertex tool is in the All-Layers mode, Topological-editing mode ist different from
that because it moves common vertices within one layer

History

#1 - 2018-11-16 07:02 AM - Burghardt Scholle

I can confirm the error. If | undo the the node moving, it only affects the activated layer. After that | have to undo the process even in the non-activated
layer. | have done the tests with QGIS DEV code revision 7cce9b3eb9.

#2 - 2019-01-08 11:25 AM - zimirrr leonid

| confirm the error also. Qgis 3.4.3.
| found out that when selected Vertex Tool(All layers) it moves nodes only in active layer, but when selected Vertex Tool(Current Layer) then it tries to move

all found nodes in all layers. | suggest the problem is in icons.

#3 - 2019-01-09 01:10 PM - Giovanni Manghi
- Crashes QGIS or corrupts data changed from Yes to No
- Affected QGIS version changed from 3.4.1 to 3.4.3

#4 - 2019-02-06 12:22 PM - Bernhard Strobl
- Resolution set to invalid
- Status changed from Open to Closed

Ok, after discussion with Martin here | do understand this is not a bug but a feature. This is the intended way for the tool to behave. My impression of
current layer versus all layers was, that this decides on which layers | change features by e.g. moving common vertices. In fact it decides on which layers
(current versus all) | may interact with.
https://github.com/qgis/QGIS/pull/9087
